from ..Qt import QtWidgets
from .._py.skipdialog import Ui_SkipDialog


class QSkipDialog(QtWidgets.QDialog, Ui_SkipDialog):
    def __init__(self, parent=None):
        super().__init__(parent=parent)
        self.setupUi(self)

    def on_spinBox_valueChanged(self, val: int):
        self.offset_spinbox.setMaximum(int(val)-1)

    def get_arguments(self):
        return {
            'offset': int(self.offset_spinbox.value()),
            'step': int(self.step_spinbox.value()),
            'copy': self.delete_button.isChecked(),
            'invert': self.invert_check.isChecked()
        }
